<template>
    <Header :page="'Room'"></Header>
</template>

<script>
import Header from "../components/Header.vue"

export default {
    name: "Profil",
    data() {
        return {
            games: [],
            searchResult: false
        }
    },
    components: {
        Header,
    },
    computed: {
        
    },
    methods: {
        getGames() {
            fetch(`http://localhost:3000/api/get-all-games`,
            {
                method: 'GET',
                headers: {
                'Content-Type': 'application/json',
                'Access-Control-Allow-Origin': '*'
                }
            })
            .then(r => r.json())
            .then(res => {
                this.games = res;
            })
        },
        goCreateOrJoin(game) {
            console.log(game);
            this.$router.push('/room/' + game);
        }
    },
    mounted() {

    }
}
</script>
<style scoped>
    main
    {
        width: 100%;
        min-height: 100vh;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        background: rgb(0, 6, 24);
        background-size: cover;
    }
    
    @media screen and (min-width: 576px) {
        section > div:last-child {
        grid-template-columns: 1fr 1fr;
        }
    }
    @media screen and (min-width: 768px) {
        section > div:last-child {
        grid-template-columns: 1fr 1fr 1fr;
        }
    }
    @media screen and (min-width: 992px) {
        section > div:last-child {
        grid-template-columns: repeat(4, 1fr);
        }
    }
</style>